Cancel Sync
curl --request POST \
--url https://api.withterminal.com/tsp/v1/syncs/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/syncs/{id}/cancel"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/syncs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "sync_01GV12VR4DJP70GD1ZBK0SDWFH",
"message": "Sync cancellation requested"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "not_found",
"message": "Resource not found",
"detail": "Could not find resource with ID: 2342342"
}{
"code": "connection_disconnected",
"message": "Connection must be connected to perform this action",
"detail": []
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Data Management
Cancel Sync
Cancel a sync job mid-way through. This is useful for cancelling syncs that are no longer needed. Cancelled syncs will be marked as failed and can be retried.
POST
/
syncs
/
{id}
/
cancel
Cancel Sync
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The token returned when a user authenticated their account. This authorizes access to a specific account.
Pattern:
^con_tkn_\S+$Example:
"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Path Parameters
The ID of the sync job to retry
Pattern:
^sync_[0-9A-HJKMNP-TV-Z]{26}$Example:
"sync_01GV12VR4DJP70GD1ZBK0SDWFH"
⌘I